Get wallet and pricing
Balance in cents plus how your SMS price is worked out: your own price, a volume tier, or the standard price.
Scope: wallet:read.
All …Cents amounts are integers in KES cents (100 = KES 1.00).
GET
/
wallet
Get wallet and pricing
curl --request GET \
--url https://app.telaven.com/api/v1/wallet \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.telaven.com/api/v1/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.telaven.com/api/v1/wallet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.telaven.com/api/v1/wallet",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://app.telaven.com/api/v1/wallet");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"success": true,
"pricing": {
"source": "tier",
"defaultRateCents": 90,
"topups30dCents": 6000000,
"tier": {
"label": "Growth",
"minTopup30dCents": 5000000,
"rateCents": 80
},
"nextTier": {
"label": "Scale",
"minTopup30dCents": 10000000,
"rateCents": 70
}
},
"wallet": {
"balance": 1443750,
"balanceKes": "14437.50",
"totalLoaded": 1500000,
"totalSpent": 56250,
"smsRateCents": 80,
"estimatedSmsRemaining": 18046,
"alertThreshold": null,
"alertThresholdKes": null,
"belowThreshold": false
},
"recentTransactions": [
{
"id": "t1…",
"type": "sms_debit",
"amount": -180,
"balanceBefore": 1443930,
"balanceAfter": 1443750,
"description": "SMS (2 messages)",
"referenceId": "6f1c…",
"createdAt": "2026-11-12T09:30:01.000Z"
}
],
"businessName": "Your Business"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}⌘I
Get wallet and pricing
curl --request GET \
--url https://app.telaven.com/api/v1/wallet \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.telaven.com/api/v1/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.telaven.com/api/v1/wallet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.telaven.com/api/v1/wallet",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://app.telaven.com/api/v1/wallet");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"success": true,
"pricing": {
"source": "tier",
"defaultRateCents": 90,
"topups30dCents": 6000000,
"tier": {
"label": "Growth",
"minTopup30dCents": 5000000,
"rateCents": 80
},
"nextTier": {
"label": "Scale",
"minTopup30dCents": 10000000,
"rateCents": 70
}
},
"wallet": {
"balance": 1443750,
"balanceKes": "14437.50",
"totalLoaded": 1500000,
"totalSpent": 56250,
"smsRateCents": 80,
"estimatedSmsRemaining": 18046,
"alertThreshold": null,
"alertThresholdKes": null,
"belowThreshold": false
},
"recentTransactions": [
{
"id": "t1…",
"type": "sms_debit",
"amount": -180,
"balanceBefore": 1443930,
"balanceAfter": 1443750,
"description": "SMS (2 messages)",
"referenceId": "6f1c…",
"createdAt": "2026-11-12T09:30:01.000Z"
}
],
"businessName": "Your Business"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}